package com.bonus.canteen.core.cook.domain;



import java.util.HashMap;
import java.util.Map;

public class ImportDishesContext {
   private Map<String, Long> materialMap;
   private Long defaultTypeId;
   private Map<String, Long> canteenMap;
   private Map<String, AllocCanteen> allocCanteenMap;
   private Map<Long, AllocCanteen> allocCanteenIdMap;
   private Map<String, Long> typeMap;
   private Map<String, Long> areaMap;
   private Map<String, AllocArea> allocAreaMap;
   private Map<Long, AllocArea> allocAreaIdMap;
   private Map<String, Long> stallMap;
   private Map<String, AllocStall> allocStallMap;
   private Map<Long, Long> canteenStallMap;
   private Map<Long, Long> areaCanteenMap;
   private Map<String, Long> dishesCookMap;
   private String username;

   public void setAllocCanteenMap(Map<String, AllocCanteen> allocCanteenMap) {
      this.allocCanteenMap = allocCanteenMap;
      this.canteenMap = new HashMap<>(100);
      this.areaCanteenMap = new HashMap<>(100);
      this.allocCanteenIdMap = new HashMap<>(100);
      allocCanteenMap.forEach((k, v) -> {
         this.canteenMap.put(v.getCanteenName(), v.getCanteenId());
         this.areaCanteenMap.put(v.getCanteenId(), v.getAreaId());
         this.allocCanteenIdMap.put(v.getCanteenId(), v);
      });
   }

   public void setAllocStallMap(Map<String, AllocStall> allocStallMap) {
      this.allocStallMap = allocStallMap;
      this.stallMap = new HashMap<>(100);
      this.canteenStallMap = new HashMap<>(100);
      allocStallMap.forEach((k, v) -> {
         this.stallMap.put(v.getStallName(), v.getStallId());
         this.canteenStallMap.put(v.getStallId(), v.getCanteenId());
      });
   }

   public void setAllocAreaMap(Map<String, AllocArea> allocAreaMap) {
      this.allocAreaMap = allocAreaMap;
      this.areaMap = new HashMap<>(100);
      this.allocAreaIdMap = new HashMap<>(100);
      allocAreaMap.forEach((k, v) -> {
         this.areaMap.put(v.getAreaName(), v.getAreaId());
         this.allocAreaIdMap.put(v.getAreaId(), v);
      });
   }

   public Map<String, Long> getMaterialMap() {
      return this.materialMap;
   }

   public Long getDefaultTypeId() {
      return this.defaultTypeId;
   }

   public Map<String, Long> getCanteenMap() {
      return this.canteenMap;
   }

   public Map<String, AllocCanteen> getAllocCanteenMap() {
      return this.allocCanteenMap;
   }

   public Map<Long, AllocCanteen> getAllocCanteenIdMap() {
      return this.allocCanteenIdMap;
   }

   public Map<String, Long> getTypeMap() {
      return this.typeMap;
   }

   public Map<String, Long> getAreaMap() {
      return this.areaMap;
   }

   public Map<String, AllocArea> getAllocAreaMap() {
      return this.allocAreaMap;
   }

   public Map<Long, AllocArea> getAllocAreaIdMap() {
      return this.allocAreaIdMap;
   }

   public Map<String, Long> getStallMap() {
      return this.stallMap;
   }

   public Map<String, AllocStall> getAllocStallMap() {
      return this.allocStallMap;
   }

   public Map<Long, Long> getCanteenStallMap() {
      return this.canteenStallMap;
   }

   public Map<Long, Long> getAreaCanteenMap() {
      return this.areaCanteenMap;
   }

   public Map<String, Long> getDishesCookMap() {
      return this.dishesCookMap;
   }

   public String getUsername() {
      return this.username;
   }

   public void setMaterialMap(final Map<String, Long> materialMap) {
      this.materialMap = materialMap;
   }

   public void setDefaultTypeId(final Long defaultTypeId) {
      this.defaultTypeId = defaultTypeId;
   }

   public void setCanteenMap(final Map<String, Long> canteenMap) {
      this.canteenMap = canteenMap;
   }

   public void setAllocCanteenIdMap(final Map<Long, AllocCanteen> allocCanteenIdMap) {
      this.allocCanteenIdMap = allocCanteenIdMap;
   }

   public void setTypeMap(final Map<String, Long> typeMap) {
      this.typeMap = typeMap;
   }

   public void setAreaMap(final Map<String, Long> areaMap) {
      this.areaMap = areaMap;
   }

   public void setAllocAreaIdMap(final Map<Long, AllocArea> allocAreaIdMap) {
      this.allocAreaIdMap = allocAreaIdMap;
   }

   public void setStallMap(final Map<String, Long> stallMap) {
      this.stallMap = stallMap;
   }

   public void setCanteenStallMap(final Map<Long, Long> canteenStallMap) {
      this.canteenStallMap = canteenStallMap;
   }

   public void setAreaCanteenMap(final Map<Long, Long> areaCanteenMap) {
      this.areaCanteenMap = areaCanteenMap;
   }

   public void setDishesCookMap(final Map<String, Long> dishesCookMap) {
      this.dishesCookMap = dishesCookMap;
   }

   public void setUsername(final String username) {
      this.username = username;
   }
}
